@import '~@angular/material/theming';
@import '../custom-variables';

@mixin mat-custom-dialog-theme($theme) {
  $accent: map-get($theme, accent);
  $primary: map-get($theme, primary);

  .mat-dialog-container {
    padding: 1rem 1.5rem 2rem 1.5rem;
    border-radius: 0.5rem;
    background: $white;
    /*box-shadow: 0px 0px 0.125rem 0px rgb(66 88 112 / 20%), 0px 0.5rem 0.75rem 0px rgb(66 88 112 / 30%);*/


    header {
      margin: 0 0 1rem 0;

      display: flex;

      h1,
      h2,
      h3,
      h4 {
        color: mat-color($accent, 900);
        font-weight: 700;
        font-size: 1.25rem;
        letter-spacing: -0.0125rem;
        margin: 0;
        line-height: 1.75rem;
        display: flex;
        flex: 1;
        flex-flow: row;
      }

      .mat-icon-button {
        display: flex;
        flex-flow: row-reverse;
        border: none;
        box-shadow: none;
        width: 1.5rem;
        height: 1.5rem;
        color: $grey-5;

        .mat-ripple-element {
          display: none;
        }

        &:hover,
        &:focus,
        &:enabled,
        &:focus:enabled,
        &:active,
        &:active:enabled {
          background: transparent;
          box-shadow: none;
        }


        [mat-dialog-close] {
          color: mat-color($accent, 900);
        }
      }
    }

    .mat-dialog-content {
      color: $grey-7;
      font-weight: 400;
      font-size: 0.875rem;

      .warning-text {
        color: $orange-900;
      }
    }

    .mat-dialog-actions {
      padding: 1rem 0 0 0;
      width: 100%;
      display: flex;
      justify-content: flex-end;
      margin-bottom: -1rem;

      &>* {
        display: flex;
        flex-flow: row-reverse;
        margin-left: 0.5rem;

        &:focus,
        &:enabled,
        &:focus:enabled,
        &:active,
        &:active:enabled {
          box-shadow: none;
        }
      }
    }
  }
}
